use moa_uapi::space::SpaceId;

#[allow(clippy::wildcard_imports)]
use super::*;

#[syscall(SYSNR_SPACE_CREATE)]
fn sys_space_create(max_pages: u32, flags: usize, id_out: *mut SpaceId) -> isize {
    ERR_NOSYS
}

#[syscall(SYSNR_SPACE_CLOSE)]
fn sys_space_close(space: u32) -> isize {
    ERR_NOSYS
}

#[syscall(SYSNR_SPACE_MAP)]
fn sys_space_map(
    space: u32,
    vaddr: usize,
    source: usize,
    size: usize,
    perms: usize,
    flags: usize,
) -> isize {
    ERR_NOSYS
}

#[syscall(SYSNR_SPACE_UNMAP)]
fn sys_space_unmap(space: u32, vaddr: usize, size: usize) -> isize {
    ERR_NOSYS
}

#[syscall(SYSNR_SPACE_PROTECT)]
fn sys_space_protect(space: u32, vaddr: usize, size: usize, perms: usize) -> isize {
    ERR_NOSYS
}

#[syscall(SYSNR_SPACE_WRITE)]
fn sys_space_write(space: u32, vaddr: usize, data: *const u8, len: usize) -> isize {
    ERR_NOSYS
}

#[syscall(SYSNR_SPACE_READ)]
fn sys_space_read(space: u32, vaddr: usize, buf: *mut u8, len: usize) -> isize {
    ERR_NOSYS
}

#[syscall(SYSNR_SPACE_GET_ID)]
fn sys_space_get_id(space: u32) -> isize {
    ERR_NOSYS
}
